#ifndef PRINTING_H
#define PRINTING_H

#include <wx/print.h>

class FEAPrintout: public wxPrintout
{
 public:
  FEAPrintout(const char *title = "FEA printout"):wxPrintout(title) {}
  bool OnPrintPage(int page);
  bool HasPage(int page);
  bool OnBeginDocument(int startPage, int endPage);
  void GetPageInfo(int *minPage, int *maxPage, int *selPageFrom, int
*selPageTo);
 
  void DrawPage(wxDC *dc);
};

#endif // PRINTING_H
