// Copyright (c) 1999, A.H. van den Boogaard

#ifndef GEOMETRY_H
#define GEOMETRY_H

namespace FeaTure
{

class Geometry
{
   private:
      int    nr;
      double Thick, Crosse, Iy, Iz, J;

   public:
      Geometry( int geomnr );
      virtual ~Geometry();

      void set_Thick( double thick );
      double get_Thick() const;
      void set_Crosse( double crosse );
      double get_Crosse() const;
      void set_Iy( double Iy );
      double get_Iy() const;
      void set_Iz( double Iz );
      double get_Iz() const;
      void set_J( double J );
      double get_J() const;
      int get_nr() const;
};

} // namespace FeaTure

#endif /* GEOMETRY_H */
