// Copyright (c) 2000, A.H. van den Boogaard

#ifndef MYEXCEPT_H
#define MYEXCEPT_H

#include <exception>
#include <string>

class featured_error:public std::exception
{
   private:
      std::string message;

   public:
      featured_error( const std::string& what_arg ):message(what_arg){}
      ~featured_error() throw(){}
      virtual const char* what() const throw() { return message.c_str(); }
};

class syntax_error:public featured_error
{
   public:
      syntax_error( const std::string& what_arg="" ):featured_error(what_arg){}
      ~syntax_error() throw(){}
};

#endif // MYEXCEPT_H
