// Copyright (c) 1999, A.H. van den Boogaard

#ifndef MYNODES_H
#define MYNODES_H

#include <iostream>
#include "nodes.h"

class MyNode:public FeaTure::IncNode
{
  public:
    MyNode(){}
    MyNode( int nodenr ):FeaTure::IncNode(nodenr){}
    MyNode( int nodenr, double x, double y, double z )
          :FeaTure::IncNode(nodenr,x,y,z){}
    ~MyNode(){}
    void print() const;
    void print_clean( std::ostream& out ) const;
    void print_fixed_dofs( std::ostream& out ) const;
    void print_solution( std::ostream& out ) const;
    void print_table( std::ostream& out ) const;
    static void print_header( std::ostream& out );
    void print_reactions( std::ostream& out, const FeaTure::Vector& lhs_fixed,
                          const FeaTure::Vector& lhs_prescribed )const;
};

#endif /* MYNODES_H */
